For the complete documentation index, see llms.txt. This page is also available as Markdown.

Getting Payments

Get a payment

get

Get details of a payment by address.

Path parameters
payment_stringstringRequired

The unique identifier string of the payment.

Responses
200

Payment details retrieved successfully.

application/json
created_atstring · date-timeOptionalExample: 2024-09-02T12:34:56Z
platformstringOptionalExample: Example Platform
platform_logo_urlstringOptionalExample: https://staging.guardrail.branta.pro/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsiZGF0YSI6NDYzLCJwdXIiOiJibG9iX2lkIn19--742d857e192086ec8fc32f0d1792048c27da0d95/IMG_8391.jpeg
ttlnumber · integerOptionalExample: 86400
get/payments/{payment_string}
GET /v2/payments/{payment_string} HTTP/1.1
Host: staging.guardrail.branta.pro
Accept: */*
{
  "destinations": {
    "value": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
    "type": "bitcoin_address",
    "zk": false
  },
  "created_at": "2024-09-02T12:34:56Z",
  "platform": "Example Platform",
  "platform_logo_url": "https://staging.guardrail.branta.pro/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsiZGF0YSI6NDYzLCJwdXIiOiJibG9iX2lkIn19--742d857e192086ec8fc32f0d1792048c27da0d95/IMG_8391.jpeg",
  "ttl": 86400
}

Last updated